#/bin/bash

#This scripts installs the scripts in their right places (need root access)
#It also creates the links in the /etc/rcX.d folders, so the voipMonitInit is 
#	automatically launched on boot

INITD_DIR=/etc/init.d
BIN_DIR=/usr/local/sbin

VOIP_MONITOR_FILE="voipMonitor"
VOIP_INIT_FILE="voipMonitorInit"
SER_FILE="ser"
SEMS_FILE="sems"

CURRENT_FOLDER=$PWD

#copy the files to their location ...
cp $VOIP_MONITOR_FILE $BIN_DIR/$VOIP_MONITOR_FILE
chmod 755 $BIN_DIR/$VOIP_MONITOR_FILE
cp $VOIP_INIT_FILE.init $INITD_DIR/$VOIP_INIT_FILE
chmod 755 $INITD_DIR/$VOIP_INIT_FILE
cp $SER_FILE.init $INITD_DIR/$SER_FILE
chmod 755 $INITD_DIR/$SER_FILE
cp $SEMS_FILE.init $INITD_DIR/$SEMS_FILE
chmod 755 $INITD_DIR/$SEMS_FILE

#create the links at the /etc/rcX.d ...
RC_FOLDER=/etc/rc0.d
cd $RC_FOLDER
LINK_NAME=K09voip 
LINK_TARGET=$INITD_DIR/$VOIP_INIT_FILE
rm -f $LINK_NAME
ln -s $LINK_TARGET $LINK_NAME

RC_FOLDER=/etc/rc1.d
cd $RC_FOLDER
LINK_NAME=K09voip 
LINK_TARGET=$INITD_DIR/$VOIP_INIT_FILE
rm -f $LINK_NAME
ln -s $LINK_TARGET $LINK_NAME

RC_FOLDER=/etc/rc2.d
cd $RC_FOLDER
LINK_NAME=S60voip 
LINK_TARGET=$INITD_DIR/$VOIP_INIT_FILE
rm -f $LINK_NAME
ln -s $LINK_TARGET $LINK_NAME

RC_FOLDER=/etc/rc3.d
cd $RC_FOLDER
LINK_NAME=S60voip 
LINK_TARGET=$INITD_DIR/$VOIP_INIT_FILE
rm -f $LINK_NAME
ln -s $LINK_TARGET $LINK_NAME

RC_FOLDER=/etc/rc4.d
cd $RC_FOLDER
LINK_NAME=S60voip 
LINK_TARGET=$INITD_DIR/$VOIP_INIT_FILE
rm -f $LINK_NAME
ln -s $LINK_TARGET $LINK_NAME

RC_FOLDER=/etc/rc5.d
cd $RC_FOLDER
LINK_NAME=S60voip 
LINK_TARGET=$INITD_DIR/$VOIP_INIT_FILE
rm -f $LINK_NAME
ln -s $LINK_TARGET $LINK_NAME

RC_FOLDER=/etc/rc6.d
cd $RC_FOLDER
LINK_NAME=K09voip 
LINK_TARGET=$INITD_DIR/$VOIP_INIT_FILE
rm -f $LINK_NAME
ln -s $LINK_TARGET $LINK_NAME

